/* 1. Normalization */

html {
	font-family: sans-serif;
	-ms-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
}

body {
	margin: 0;
	min-height: 100vh;
	font-feature-settings: "kern", "liga";
	-webkit-font-feature-settings: "kern", "liga";
	font-variant: common-ligatures;
	font-kerning: normal;
}

a {
	color: inherit;
	text-decoration: none;
	touch-action: manipulation;
}

sup,
sub {
	font-size: 75%;
	line-height: 0;
	position: relative;
	vertical-align: baseline;
}

sup {
	bottom: 1ex;
}

sub {
	top: 0.5ex;
}

img {
	max-width: 100%;
	height: auto;
}

code,
kbd,
pre,
samp {
	font-family: monospace, monospace; /* Not a typo */
	font-size: 1em;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
	font-feature-settings: "tnum", "pnum" off;
	-webkit-font-feature-settings: "tnum", "pnum" off;
	font-variant-numeric: tabular-nums;
}

td,
th {
	padding: 0;
}

progress {
	vertical-align: baseline;
}

audio:not([controls]) {
	display: none;
}

button,
input[type="reset"],
input[type="submit"] {
	-webkit-appearance: button;
	cursor: pointer;
}

button[disabled],
input[disabled] {
	cursor: default;
}

fieldset {
	padding: 0.5em;
	margin: 0;
	border: 1px solid #ccc;
}

iframe,
object,
video,
input,
textarea {
	max-width: 100%;
	border: 0;
	box-sizing: border-box;
}

/* Normalize Webkit (Safari+Chrome) */

b,
strong {
	font-weight: bolder;
}

button,
input,
optgroup,
select,
textarea {
	color: inherit;
	font: inherit;
	margin: 0;
}

input[type="search"] {
	-webkit-appearance: none;
	box-sizing: border-box; /* Prevents issues in flexbox in all browsers*/
	border-radius: 0;
}

input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-decoration {
	-webkit-appearance: none;
}

/* Normalize Firefox */

hr {
	box-sizing: content-box;
	height: 0;
}

button,
select {
	text-transform: none;
}

button::-moz-focus-inner,
input::-moz-focus-inner {
	border: 0;
	padding: 0;
}

/* Normalize IE 11 */

main {
	display: block;
}

template {
	display: none;
}

button {
	overflow: visible;
}

textarea {
	overflow: auto;
}

/* 2. HTML Elements */

body {
	font-family: "Source Sans Pro", "Helvetica Neue", Arial, sans-serif;
}

a {
	color: #f60;
	text-decoration: none;
	transition: color 0.2s ease-out 0s;
}

h1 {
	font: 100 48px/0.7 "Source Sans Pro", "Helvetica Neue", Arial, sans-serif;
	margin: 0;
}

h2 {
	font-weight: 300;
	font-size: 32px;
	line-height: 1;
	margin: 0.5em 0;
}

p {
	line-height: 1.4;
	max-width: 41em;
}

/* 3. IDs, Classes, and Selectors */

.navbar {
	display: flex;
	display: -webkit-flex; /* this line necessary for Safari <9 */
	list-style: none;
	padding: 0;
	margin: 0;
}

.navbar > li {
	flex: auto;
	-webkit-flex: auto; /* this line necessary for Safari <9 */
	text-align: center;
}

.nav-link {
	display: block;
	padding: 1rem 0;
	font: 300 1.5em	"Source Sans Pro";
}

#title {
	display: block;
	padding: 0.5em;
	text-align: center;
}

main {
	margin: 48px 10% 0;
	padding-bottom: 48px;
}

.claire {
	width: 45%;
	max-width: 480px;
	float: right;
}

#footer {
	position: absolute;
	bottom: 0;
	width: 100%;
	margin: 0;
	padding: 8px 0;
	color: #444;
	text-align: center;
	border-top: 1px solid rgba(0,0,0,0.03);
}

#footer > p {
	margin: 6px;
	font-size: 12px;
	max-width: 100%;
}

/* 4. Color Scheme */

#title > a {
	color: #000;
}

.navbar,
#footer {
	background-color: #e2e2e2;
}

.nav-link {
	color: #000;
}

.current {
	color: #000;
	background-color: #f90;
}

/* 5. Pseudo-Elements and Pseudo-Classes */

a:hover,
a:focus {
	color: #f90;
}

.nav-link:hover,
.nav-link:focus {
	color: #000;
	background-color: #fa0;
}

#title > a:focus,
#title > a:hover {
	color:#000;
}

::selection {
background: #ffc864;
color: #000;
}

::-moz-selection {
background: #ffc864;
color: #000;
}

/* 6. Animations */

.header,
.nav-link {
	transition: color 0.2s, background-color 0.2s, border-color 0.2s ease-out 0s;
}

/* 7. Media Queries */

@media (max-width: 900px) {
	h1 {
		font-size: 46px;
	}

	.claire {
		display: none;
	}
}

@media (max-width: 640px) {

	h1{
		font-size: 38px;
	}

	.navbar {
		flex-direction: column;
		-webkit-flex-direction: column;
	}

	.nav-link {
		border-bottom: 1px solid rgba(0,0,0,0.05);
	}

	.current {
		border-bottom: 1px solid #f80;
	}
}